'use strict';

/**
 * Layout module provides services for Layout manipulation.
 * Including:
 *   Layout
 */

angular.module('system.services.layout', [])
    // errors
    .service('Layout', [
        function() {
            var params = { };
            var set = function(key, value) {
                params[key] = value;
            };

            var get = function(key) {
                return params[key];
            };

            return {
                get: get,
                set: set
            };
        }
    ]);